Subject: Re: radio-maxiradio.c: undefined reference to `snd_tea575x_init'

From: Fengguang Wu <[email-masked]>
Date: Thu, 7 Jun 2012 06:27:32 +0900

On Wed, Jun 06, 2012 at 11:15:04PM +0200, Hans Verkuil wrote:
> On Wed June 6 2012 22:40:14 Fengguang Wu wrote:
> > On Thu, Mar 29, 2012 at 09:38:38AM -0700, Randy Dunlap wrote:
> > > On 03/28/2012 08:42 PM, Stephen Rothwell wrote:
> > > 
> > > > Hi all,
> > > > 
> > > > Reminder: please do not add stuff destined for v3.5 to linux-next
> > > > included trees/branches until after v3.4-rc1 has been released.
> > > > 
> > > > Changes since 20120328:
> > > 
> > > 
> > > on x86_64:
> > > 
> > > radio-maxiradio.c:(.devinit.text+0x356ac): undefined reference to `snd_tea575x_init'
> > > radio-maxiradio.c:(.devexit.text+0x503e): undefined reference to `snd_tea575x_exit'
> > 
> > I run into this issue, too, in the 3.5-rc1 based tip/master.
> > 
> >         drivers/built-in.o: In function `maxiradio_probe':
> >          radio-maxiradio.c:(.devinit.text+0x35a27): undefined reference to `snd_tea575x_init'
> >         drivers/built-in.o: In function `maxiradio_remove':
> >          radio-maxiradio.c:(.devexit.text+0x6754): undefined reference to `snd_tea575x_exit'
> > 
> > Any fixes available now? The related commit is:
> > 
> >         commit cfb19b0ab13847a0e0e49521eb94113b0b315e3b
> >         Author: Hans Verkuil <[email-masked]>
> >         Date:   Sun Feb 5 09:53:17 2012 -0300
> > 
> >             [media] radio-maxiradio: use the tea575x framework
> >             
> >             This card is based on the tea575x receiver. Use the tea575x-tuner framework
> >             instead of reinventing the wheel.
> >             
> >             Signed-off-by: Hans Verkuil <[email-masked]>
> >             Signed-off-by: Mauro Carvalho Chehab <[email-masked]>
> > 
> > Thanks,
> > Fengguang
> 
> Works for me with 3.5-rc1. There was a fix done in sound/pci/Kconfig that
> should have solved this.

Nice.

> Is CONFIG_SND_TEA575X defined? Do you have a snd_tea575x_tuner module?

Sorry I lost the .config. I'll report back if the error shows up again.

Thanks,
Fengguang